{ config, lib, ... }:

{
  services.authelia.instances.main.settings = {
    telemetry.metrics = {
      enabled = true;
    };
  };

  services.prometheus.scrapeConfigs = [
    {
      job_name = "authelia";
      static_configs = [{
        targets = [ (lib.removePrefix "tcp://" config.services.authelia.instances.main.settings.telemetry.metrics.address) ];
      }];
      metric_relabel_configs = [{
        source_labels = [ "__name__" ];
        target_label = "__name__";
        replacement = "authelia_$1";
      }];
    }
  ];
}
